Resend Email OTP with MFA Token

Sends the OTP to the Email if the Email OTP authenticator is enabled in the Tenant's MFA configuration.

POST
/identity/v2/auth/login/2fa/email

Sends the OTP to the Email if the Email OTP authenticator is enabled in the Tenant's MFA configuration.

apikey<token>

Tenant API Key for authentication

In: query

Query Parameters

secondfactorauthenticationtoken*string

Second factor token

isvoiceotp?boolean

Boolean flag to enforce sending SMS content via Voice.

emailtemplate2fa?string

Name of the 2FA Email template to use for this notification.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://api.loginradius.com/identity/v2/auth/login/2fa/email?secondfactorauthenticationtoken=4asdf575-5678-4065-b717-fa0n7i5ca81a&isvoiceotp=true&emailtemplate2fa=Email-Template" \  -H "Content-Type: application/json" \  -d '{    "email": "xyz@example.com"  }'
{
  "IsPosted": true
}

{
  "ErrorCode": 965,
  "Message": "The post body is invalid",
  "Description": "Please use a valid post body and make sure that it is in a valid JSON format."
}

{
  "ErrorCode": 901,
  "Message": "The API key is unauthorized",
  "Description": "The provided LoginRadius API key is invalid or is not authorized, please use a valid or authorized LoginRadius API key or check the API key for your LoginRadius account."
}